[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TUTF8Parser.CheckTokenSymbol

Deprecated. Asserts that the given name was parsed (case insensitive).

## Declaration

Source position: lresources.pp line 388

`public procedure TUTF8Parser.CheckTokenSymbol(`
`const S: string`
`);`

## Arguments

`S` |  | The expected identifier.

## Errors

EParserError when Token doesn't match the expected type or name.

## Version info

Deprecated in LCL version 3.0. Use Classes.TParser instead.